summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexey Sokolov <sokolov@google.com>2019-07-09 08:38:05 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2019-07-21 23:46:16 +0200
commit6d87de0900a393a0d46a000e344d28399ac483bc (patch)
tree2ffbce39ca9f539256d2b0864ccaa0837b67ebda /sci-astronomy
parentnet-im/spectrum2: bump to version 2.0.12 (diff)
downloadgentoo-6d87de0900a393a0d46a000e344d28399ac483bc.tar.gz
gentoo-6d87de0900a393a0d46a000e344d28399ac483bc.tar.bz2
gentoo-6d87de0900a393a0d46a000e344d28399ac483bc.zip
sci-astronomy/stellarium: add 0.19.1
Signed-off-by: Alexey Sokolov <sokolov@google.com> Package-Manager: Portage-2.3.66, Repoman-2.3.11 Closes: https://github.com/gentoo/gentoo/pull/12406 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'sci-astronomy')
-rw-r--r--sci-astronomy/stellarium/Manifest1
-rw-r--r--sci-astronomy/stellarium/stellarium-0.19.1.ebuild81
2 files changed, 82 insertions, 0 deletions
diff --git a/sci-astronomy/stellarium/Manifest b/sci-astronomy/stellarium/Manifest
index 411c050d03a..5b4dd900519 100644
--- a/sci-astronomy/stellarium/Manifest
+++ b/sci-astronomy/stellarium/Manifest
@@ -4,3 +4,4 @@ DIST stars_6_2v0_1.cat 148352404 BLAKE2B c605b284b3d768cb1619ada3f58d406fa7737f0
DIST stars_7_2v0_1.cat 305710678 BLAKE2B 1cc9b4a6bc35a9339e495f7e0da4f7e90a0e92b05b5de8599be1bbdd2a8053cbcec44b0e58bc9248364666db9cdf23449edf236e3f21fdc0e8f1a4a706afc919 SHA512 43b866eb793e8812c9d5502101a6c985d2055fb88bdbda274726bcd51e1527ecf342b22acd673318c9c8e88cac68eace18de8f27d29ffe64933fd32a5b84c5e3
DIST stars_8_2v0_1.cat 559068934 BLAKE2B c040a369cdf6885759998e1315b554d21a5e2b9b149a67967a8af45606aebf57bec407fab5ce1904978af0dc529aa6bddd267331ca45f58617bbf56d5ca99dee SHA512 06d4fa298b9dff8452f550377df99fcaa5e7107cfc7b75c9a4769b3cb6d97a822a54213c706102c1d7ef2dabc16df32a85f46b2f6d6c6f76a4e919353b739de4
DIST stellarium-0.19.0.tar.gz 309151408 BLAKE2B d5726762c402cebca47c7cb218a2edc918aceb11e4bf44f0473bf86a8bfc75b908467112e8ce797c90f9c1307884f853a24f919efe11e86ef04c9eb0ff356a3b SHA512 26cb44fe4280275ce64594d01bdded4ddd2cda5d21887b4329de51188cc392e8390036702ee316446dcdb54182dec5d217a387898c4c7aa82ce14742b4d4694f
+DIST stellarium-0.19.1.tar.gz 314373270 BLAKE2B 23f11005e2862c42abefc37d997c875bbed379e8182dbc533f24f303200791dc4c069adc0e290b2faa630a0fc058b7060bc3715714bae37a89ff5820b86d21ed SHA512 59ab715f7b81e037ed3d23444547dcd00a41b9a1925d58b40a17372e286bbea2c1b762582cd7e1f81d690204840cc23dd9627e2c0bd4abf52367a456849eefe9
diff --git a/sci-astronomy/stellarium/stellarium-0.19.1.ebuild b/sci-astronomy/stellarium/stellarium-0.19.1.ebuild
new file mode 100644
index 00000000000..b47582c27ba
--- /dev/null
+++ b/sci-astronomy/stellarium/stellarium-0.19.1.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit cmake-utils desktop flag-o-matic xdg virtualx
+
+DESCRIPTION="3D photo-realistic skies in real time"
+HOMEPAGE="https://www.stellarium.org/"
+SRC_URI="
+ https://github.com/Stellarium/stellarium/releases/download/v${PV}/${P}.tar.gz
+ stars? (
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-2.0/stars_4_1v0_2.cat
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-2.0/stars_5_2v0_1.cat
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-2.0/stars_6_2v0_1.cat
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-2.0/stars_7_2v0_1.cat
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-2.0/stars_8_2v0_1.cat
+ )"
+
+LICENSE="GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="debug gps media nls stars test"
+
+BDEPEND="
+ nls? ( dev-qt/linguist-tools:5 )
+"
+RDEPEND="
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtnetwork:5
+ dev-qt/qtopengl:5
+ dev-qt/qtprintsupport:5
+ dev-qt/qtscript:5
+ dev-qt/qtserialport:5
+ dev-qt/qtwidgets:5
+ media-fonts/dejavu
+ sys-libs/zlib
+ virtual/opengl
+ gps? ( dev-qt/qtpositioning:5 )
+ media? ( dev-qt/qtmultimedia:5[widgets] )
+"
+DEPEND="${RDEPEND}
+ dev-qt/qtconcurrent:5
+ test? ( dev-qt/qttest:5 )
+"
+
+src_prepare() {
+ cmake-utils_src_prepare
+ use debug || append-cppflags -DQT_NO_DEBUG #415769
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DENABLE_GPS="$(usex gps)"
+ -DENABLE_MEDIA="$(usex media)"
+ -DENABLE_NLS="$(usex nls)"
+ -DENABLE_TESTING="$(usex test)"
+ )
+ cmake-utils_src_configure
+}
+
+src_test() {
+ virtx cmake-utils_src_test
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ # use the more up-to-date system fonts
+ rm "${ED}"/usr/share/stellarium/data/DejaVuSans{Mono,}.ttf || die
+ dosym ../../fonts/dejavu/DejaVuSans.ttf /usr/share/stellarium/data/DejaVuSans.ttf
+ dosym ../../fonts/dejavu/DejaVuSansMono.ttf /usr/share/stellarium/data/DejaVuSansMono.ttf
+
+ if use stars ; then
+ insinto /usr/share/${PN}/stars/default
+ doins "${DISTDIR}"/stars_4_1v0_2.cat
+ doins "${DISTDIR}"/stars_{5,6,7,8}_2v0_1.cat
+ fi
+ newicon doc/images/stellarium-logo.png ${PN}.png
+}